Orishare
API reference
POST
/customer_sessions

Authorization

AuthorizationBearer <token>

Publishable API key for permitted client events.

In: header

Header Parameters

Idempotency-Key*string

Required. Official clients generate a UUID when omitted by the caller.

Length1 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/customer_sessions" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{    "grant_type": "anonymous",    "capabilities": [      "customer:read"    ]  }'
{  "customer_token": "string",  "customer_id": "string",  "session_id": "string",  "family_id": "string",  "assurance": "anonymous",  "capabilities": [    "customer:read"  ],  "expires_at": "2019-08-24T14:15:22Z",  "test_mode": true}
POST
/customer/session_renewals

Authorization

publishableKey customerToken
AuthorizationBearer <token>

Publishable API key for permitted client events.

In: header

X-Orishare-Customer-Token<token>

Customer session proof, required together with a production publishable key.

In: header

Header Parameters

Idempotency-Key*string

Required. Official clients generate a UUID when omitted by the caller.

Length1 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/customer/session_renewals" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{}'
{  "customer_token": "string",  "customer_id": "string",  "session_id": "string",  "family_id": "string",  "assurance": "anonymous",  "capabilities": [    "customer:read"  ],  "expires_at": "2019-08-24T14:15:22Z",  "test_mode": true}
POST
/customer/embed_sessions

Authorization

publishableKey customerToken
AuthorizationBearer <token>

Publishable API key for permitted client events.

In: header

X-Orishare-Customer-Token<token>

Customer session proof, required together with a production publishable key.

In: header

Header Parameters

Idempotency-Key*string

Required. Official clients generate a UUID when omitted by the caller.

Length1 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/customer/embed_sessions" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{    "portal_id": "ptl_00000000000000000000000000000000",    "version_id": "ptv_00000000000000000000000000000000",    "acquisition_id": "acq_exampleexample01"  }'
{  "customer_token": "string",  "customer_id": "string",  "session_id": "string",  "family_id": "string",  "assurance": "anonymous",  "capabilities": [    "customer:read"  ],  "expires_at": "2019-08-24T14:15:22Z",  "test_mode": true}
POST
/customer/embed_session_retirements

Authorization

publishableKey customerToken
AuthorizationBearer <token>

Publishable API key for permitted client events.

In: header

X-Orishare-Customer-Token<token>

Customer session proof, required together with a production publishable key.

In: header

Header Parameters

Idempotency-Key*string

Required. Official clients generate a UUID when omitted by the caller.

Length1 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/customer/embed_session_retirements" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{    "portal_id": "ptl_00000000000000000000000000000000",    "acquisition_ids": [      "acq_exampleexample01"    ]  }'
{  "retired": 0}
POST
/customer/session_revocations

Authorization

publishableKey customerToken
AuthorizationBearer <token>

Publishable API key for permitted client events.

In: header

X-Orishare-Customer-Token<token>

Customer session proof, required together with a production publishable key.

In: header

Header Parameters

Idempotency-Key*string

Required. Official clients generate a UUID when omitted by the caller.

Length1 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/customer/session_revocations" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{}'
Empty
POST
/customer/session_family_revocations

Authorization

publishableKey customerToken
AuthorizationBearer <token>

Publishable API key for permitted client events.

In: header

X-Orishare-Customer-Token<token>

Customer session proof, required together with a production publishable key.

In: header

Header Parameters

Idempotency-Key*string

Required. Official clients generate a UUID when omitted by the caller.

Length1 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/customer/session_family_revocations" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{}'
Empty